# identifies kernel of the decision based an adjacancy matrix presented in the am parameter
# function used in Electre_1 and Electre_1S functions.
# parameters
#   - am - adjacancy matrix
ELECTRE1_Kernel <- function(am){
  class(am) <- 'prefM'
  graph <- plot(am)
  alt <- rownames(am)
  nalt <- length(alt)
  row_sum <- rowSums(am)
  names(row_sum) <- alt
  kernel  <- which(row_sum == 0)
  limit   <- length(kernel)
  if(limit == 0){
    out <- list(
      graph = graph,
      dominated = NULL,
      kernel = alt
    )
    return(out)
  }
  dominated <- NULL
  for(j in 1:nalt) {
    for(i in 1:limit) {
      if(am[kernel[i],j] == 1) {
        if(!(j %in% dominated)) dominated <- c(dominated, j)
      }
    }
  }
  for(j in 1:nalt) {
    for(i in 1:limit) {
      if(am[kernel[i],j] == 0 && sum(am[,j]) > 0) {
        if(!(j %in% dominated) && !(j %in% kernel)) {
          temp <- c(j)
          names(temp) <- alt[j]
          kernel <- c(kernel, temp)
        }
      }
    }
  }

  out <- list(
    graph = graph,
    dominated = dominated,
    kernel = kernel
  )
  return(out)
}
