# final ranking for Electre 3 a 4 methods
# parameters:
#   alt - alternatives
#   rank_P - pre-rank matrix
finalRanking <- function(alt, rank_P){

  compte <- function(symbole, seq) {
    seqbinaire <- rep(0, length(seq))
    seqbinaire[seq == symbole] <- 1
    nb <- sum(seqbinaire)
    return(nb)
  }

  nalt <- length(alt)
  final_ranking <- data.frame(alternative=alt,
                              sum_outrank=rep(0,times=nalt),
                              ranking=rep(0,times=nalt),
                              stringsAsFactors = FALSE)
  for (i in 1:nalt){ #sum_outrank
    seq=rank_P[final_ranking[i,1],]
    final_ranking[i,2] <- compte('P+', seq)
  }
  final_ranking <- final_ranking[order(-final_ranking[,2], final_ranking[,1]),]
  j <- 1
  for (i in 1:nalt-1){ #ranking
    if (rank_P[final_ranking[i,1], final_ranking[i+1,1]] == "P+"  && i == 1){
      final_ranking[i,3] <- j
      final_ranking[i+1,3] <- j+1
      j <- j+1
    }
    if(rank_P[final_ranking[i,1], final_ranking[i+1,1]] == "I"  && i == 1){
      final_ranking[i,3] <- i
      final_ranking[i+1,3] <- i
      j <- j+1
    } else if (i>1) {
      if (rank_P[final_ranking[i,1],final_ranking[i+1,1]] == "P+" && final_ranking[i,2] > 1){
        final_ranking[i,3] <- j
        final_ranking[i+1,3] <- j+1
        j <- j+1
      } else if(rank_P[final_ranking[i,1],final_ranking[i+1,1]] == "P+" && final_ranking[i+1,2] == 0){
        final_ranking[i,3] <- j
        final_ranking[i+1,3] <- j+1
        j <- j+1
      } else if(rank_P[final_ranking[i,1],final_ranking[i+1,1]] == "R" && final_ranking[i+1,2] == 0){
        final_ranking[i,3] <- j
        final_ranking[i+1,3] <- final_ranking[i,3]+1
      }else if(rank_P[final_ranking[i,1],final_ranking[i+1,1]] == "I" && final_ranking[i+1,2] == 0){
        final_ranking[i+1,3] <- final_ranking[i,3]
      }else if(rank_P[final_ranking[i,1],final_ranking[i+1,1]] == "I" && final_ranking[i+1,2] != 0){
        final_ranking[i+1,3] <- final_ranking[i,3]
      } else if(rank_P[final_ranking[i,1],final_ranking[i+1,1]] == "R"  && final_ranking[i+1,2] != 0){
        final_ranking[i+1,3] <- final_ranking[i,3]
      }
    }
  }
  return(final_ranking)
}
