# compute pre-order matrix for Electre 3 and 4 methods
# parameters:
#   rank_D - descending distillation ranking
#   rank_A - ascending distillation ranking
#   alt    - all alternatives
pre_order_matrix <- function(rank_D, rank_A, alt){
  nalt <- length(alt)
  po_string <- matrix('-', nalt, nalt)
  rownames(po_string) <- alt
  colnames(po_string) <- alt
  for(i in 1:nalt){
    for(j in 1:nalt){
      if(i < j){
        Da <- filter(rank_D, action == alt[i]) #descending ranks
        Db <- filter(rank_D, action == alt[j])
        Aa <- filter(rank_A, action == alt[i]) #ascending ranks
        Ab <- filter(rank_A, action == alt[i])
        if((Da$rank < Db$rank && Aa$rank < Ab$rank) || (Da$rank == Db$rank && Aa$rank < Ab$rank) || (Da$rank < Db$rank && Aa$rank == Ab$rank)){
          po_string[i,j] <- 'P+'
          po_string[j,i] <- 'P-'
        }else if((Da$rank > Db$rank && Aa$rank > Ab$rank) || (Da$rank == Db$rank && Aa$rank > Ab$rank) || (Da$rank > Db$rank && Aa$rank == Ab$rank)){
          po_string[i,j] <- 'P-'
          po_string[j,i] <- 'P+'
        }else if(Da$rank == Db$rank && Aa$rank == Ab$rank){
          po_string[i,j] <- 'I'
          po_string[j,i] <- 'I'
        }else{
          #if((alts_D[i] > alts_D[j] && alts_A[i] < alts_A[j]) || (alts_D[i] < alts_D[j] && alts_A[i] > alts_A[j])){
          po_string[i,j] = 'R'
          po_string[j,i] = 'R'
        }
      }
    }
  }
  return(po_string)
}
