util_prepare_minmaxcriteria <- function(ncrit, minmaxcriteria = 'max') {
  #validate parameters
  if(!is.vector(minmaxcriteria) || length(minmaxcriteria) == 1){
    if(!is.numeric(ncrit)) stop('expected number of criteria to be a number')
    if(ncrit < 2) stop('at minimum 2 criteria need to be considered')
  }
  if(is.vector(minmaxcriteria) && length(minmaxcriteria) > 1){
    minmax <- tolower(minmaxcriteria)
    if (ncrit != length(minmax)) stop('length of minmaxcriteria does not correspont with number of criteria in performance matrix')
    if (length(minmax[!minmax %in% c('min', 'max')]) > 0) stop('Vector minmaxcriteria must contain max or min')
  }else if(minmaxcriteria == 'max') {
    minmax <- rep('max', times=ncrit)
  }else if(minmaxcriteria == 'min') {
    minmax <- rep('min', times=ncrit)
  }
  return(minmax)
}
